Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.truetype
Class TTFTableName

    java.lang.Object
      org.apache.fop.fonts.truetype.TTFTableName

    public final class TTFTableName

extends java.lang.Object

Represents table names as found in a TrueType font's Table Directory. TrueType fonts may have custom tables so we cannot use an enum.

Field Summary
`static TTFTableName` | `CMAP` Character to glyph mapping.
`static TTFTableName` | `CVT` Control Value Table.
`static TTFTableName` | `EBDT` Embedded bitmap data.
`static TTFTableName` | `EBLC` Embedded bitmap location data.
`static TTFTableName` | `EBSC` Embedded bitmap scaling data.
`static TTFTableName` | `FFTM` A FontForge specific table.
`static TTFTableName` | `FPGM` Font program.
`static TTFTableName` | `GASP` Grid-fitting and scan conversion procedure (grayscale).
`static TTFTableName` | `GDEF` Divides glyphs into various classes that make using the GPOS/GSUB tables easier.
`static TTFTableName` | `GLYF` Glyph data.
`static TTFTableName` | `GPOS` Provides kerning information, mark-to-base, etc.
`static TTFTableName` | `GSUB` Provides ligature information, swash, etc.
`static TTFTableName` | `HDMX` Horizontal device metrics.
`static TTFTableName` | `HEAD` Font header.
`static TTFTableName` | `HHEA` Horizontal header.
`static TTFTableName` | `HMTX` Horizontal metrics.
`static TTFTableName` | `KERN` Kerning.
`static TTFTableName` | `LOCA` Index to location.
`static TTFTableName` | `LTSH` Linear threshold table.
`static TTFTableName` | `MAXP` Maximum profile.
`static TTFTableName` | `NAME` Naming table.
`static TTFTableName` | `OS2` OS/2 and Windows specific metrics.
`static TTFTableName` | `PCLT` PCL 5 data.
`static TTFTableName` | `POST` PostScript information.
`static TTFTableName` | `PREP` CVT Program.
`static TTFTableName` | `TABLE_DIRECTORY` The first table in a TrueType font file containing metadata about other tables.
`static TTFTableName` | `VDMX` Vertical Device Metrics table.
`static TTFTableName` | `VHEA` Vertical Metrics header.
`static TTFTableName` | `VMTX` Vertical Metrics.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getName()` Returns the name of the table as it should be in the Directory Table.
`static TTFTableName` | `getValue(java.lang.String tableName)` Returns an instance of this class corresponding to the given string representation.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TABLE_DIRECTORY

    public static final TTFTableName TABLE_DIRECTORY

  The first table in a TrueType font file containing metadata about other tables.

### EBDT

    public static final TTFTableName EBDT

  Embedded bitmap data.

### EBLC

    public static final TTFTableName EBLC

  Embedded bitmap location data.

### EBSC

    public static final TTFTableName EBSC

  Embedded bitmap scaling data.

### FFTM

    public static final TTFTableName FFTM

  A FontForge specific table.

### GDEF

    public static final TTFTableName GDEF

  Divides glyphs into various classes that make using the GPOS/GSUB tables easier.

### GPOS

    public static final TTFTableName GPOS

  Provides kerning information, mark-to-base, etc. for opentype fonts.

### GSUB

    public static final TTFTableName GSUB

  Provides ligature information, swash, etc. for opentype fonts.

### LTSH

    public static final TTFTableName LTSH

  Linear threshold table.

### OS2

    public static final TTFTableName OS2

  OS/2 and Windows specific metrics.

### PCLT

    public static final TTFTableName PCLT

  PCL 5 data.

### VDMX

    public static final TTFTableName VDMX

  Vertical Device Metrics table.

### CMAP

    public static final TTFTableName CMAP

  Character to glyph mapping.

### CVT

    public static final TTFTableName CVT

  Control Value Table.

### FPGM

    public static final TTFTableName FPGM

  Font program.

### GASP

    public static final TTFTableName GASP

  Grid-fitting and scan conversion procedure (grayscale).

### GLYF

    public static final TTFTableName GLYF

  Glyph data.

### HDMX

    public static final TTFTableName HDMX

  Horizontal device metrics.

### HEAD

    public static final TTFTableName HEAD

  Font header.

### HHEA

    public static final TTFTableName HHEA

  Horizontal header.

### HMTX

    public static final TTFTableName HMTX

  Horizontal metrics.

### KERN

    public static final TTFTableName KERN

  Kerning.

### LOCA

    public static final TTFTableName LOCA

  Index to location.

### MAXP

    public static final TTFTableName MAXP

  Maximum profile.

### NAME

    public static final TTFTableName NAME

  Naming table.

### POST

    public static final TTFTableName POST

  PostScript information.

### PREP

    public static final TTFTableName PREP

  CVT Program.

### VHEA

    public static final TTFTableName VHEA

  Vertical Metrics header.

### VMTX

    public static final TTFTableName VMTX

  Vertical Metrics.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the table as it should be in the Directory Table.

### getValue

    public static TTFTableName getValue(java.lang.String tableName)

  Returns an instance of this class corresponding to the given string representation.

  Parameters:
    `tableName` - table name as in the Table Directory
  Returns:
    TTFTableName

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.